Contents
Chat-Man!  for Windows

Contents

Welcome!

Thank you for using Chat-Man!

Chat-Man! is an Iternet Relay Chat (IRC) client program for Windows. It allows Internet users worldwide to communicate and chat electronically to each other through the Internet.

This software comes to you from Sebastian Bernstein and Branko Kuznar. Suggestions and comments should be sent to burton@uai.cl.

Installing Chat-Man!

Before installing Chat-Man! you will need to check that you have the following files:

WIRC.EXE
SETUP.EXE
IRC.HLP
VBRUN300.DLL
VBDB300.DLL
COMMDLG.DLL
MSAJT110.DLL
MSAES110.DLL
WINSOCK.DLL
THREED.VBX
PICCLIP.VBX
CSWSOCK.VBX
CMDIALOG.VBX

All the above files are included with Chat-Man! distribution package with the exception of WINSOCK.DLL.

From FILE MANAGER run SETUP.EXE, the rest of the installation is up to you.

Running Chat-Man!

The first time you run Chat-Man!, it will create a WIRC.INI file in your Windows directory. You will also have to fill in all the information required in  Setup User Information and to add at least one server name to Setup New Server.

Once you've done this, select the Connect button (also available in Commands menu) to start.

Registration

To get a registered version of this client just send the form in REGISTER;TXT , with US$50  (plus US$6 shipping) to:

Sebastian Bernstein
Padina #415, Jardin del Mar
Reñaca,
Viña del Mar,
CHILE

Note: Payments must be in US dollars.

More information available in README.TXT file.

What will you find here?

What is IRC?

IRC Etiquettes

Commands


IRC: What is it?
IRC: What in the world is it?

IRC stands for Internet Relay Chat. It is a much better, multi user implementation of the rudimentary 'talk' program. On IRC, several persons can simultaneously participate in a discussion over a particular 'channel', or even multiple channels. There is no restriction to the number of people that can participate in a given discussion, or the number of channels that can be formed over IRC.

      All conversations take place in *real time*. That's one of the fortes of IRC, and IRC has been used extensively for live coverage of world events, news, sports commentary, etc. It also serves as an *extremely* inexpensive substitute for long distance calling. People from all corners of the world can be found over IRC.

      IRC was developed by Jarkko Oikarinen in Finland in the late eighties, and was originally intended to work as a better substitute for 'talk' on his bulletin board. Of course, since then, it attracted overwhelming popularity, especially after the Gulf War when IRC was used to carry live coverage of events, and its growth has been exponential after that. Since then, reports of the Russian coup, and the California earthquake have been carried *live* over IRC, with people located in Russia and California bringing in the eyewitness reports.


Commands supported by this client
Commands

This are the commands avaliable:

JOIN	Joins a channel.
PART	Leave the courrent channel window.
TOPIC	Change channel topic.
MSG	Sends a private message to a nick.
PRIVMSG	Same as MSG.
NOTICE	Sends a notice to a nick.
ACTION	Sends a CTCP Action comand to a channel.
ME	Same as ACTION.
QUERY	Open a Private Message Window with a nick
WHOIS	Displays information about a nick.
WHO	Shows users on channel.
CTCP	Sends a CTCP command to nick
AWAY	Activates de Away Message Recorder.
QUIT	Disconnect from IRC Server.
IGNORE	Ignores/Unignores nick.
LIST	Display channels.
NOTICE	Sends a notice message to nick.

The Following commands will work only if you are a Channel_Operator

KICK	Kicks a nick from channel.
BAN	Bans a nick from a channel.
UNBAN 	Unbans a nick from a channel.
RIP	Kicks and bans a nick from channel.
OP	Makes nick a channel Operator.
DEOP	Nick is no longer channel operator.
MODE	Sets/Resets channel or nick mode.


Join
Command: Join

Usage:

/JOIN [Channel Name]

Where Channel Name is the name of the channel you want to be  joined to. You can use any name you want, if the channel doesn't exist it'll be automatically created.

By pressing the JOIN button, a dialog box will be loaded, you only have to write the name you want after the # symbol.


Part
Command: Part

Usage:

/PART

This is the same as doubleclicking in the upper left corner of a channel window. You just leave the channel.


Topic
Command: Topic

Usage:

/TOPIC [New Topic]

Change the topic of the channel window you are in. It won't work if the +t mode is set and you aren't a Channel_Operator.


MSG or PRIVMSG
Command: Privmsg or Msg

Usage:

/MSG [Nick] [Message]
/PRIVMSG [Nick] [Message]

   Sends a private message to specified nickname.

        /MSG Nap This message is for Nap only.
        [LOCAL] Toby  whispers This message is for Nap only. to Nap

        On my screen will appear:

        *Toby* whispers This message is for Nap only to Nap

  When you receive a private message a special window will be loaded, everything you write in that window is send as private message to that nick, this is call a Query session.
  By using the /QUERY command you can open a query session with anyone you want.


Notice
Command: Notice

Usage:

/NOTICE [Nick] [Notice]

It's almost the same as MSG. Notices are generaly used to send a CTCP answer.


Action or Me
Command: Action or Me

Usage:

/ACTION [message]
/ME [message]

 Tells the current channel or query about what you are doing.

        /ME opens up the fridge.
       {ACTION} Toby opens up the fridge.

       /ACTION hates you.
      {ACTION} Toby  hates you


Query
Command: Query

Usage:

/QUERY [Nick]

   Starts a private conversation with <nickname>.

   All text you type, that would be normally sent to your channel, now goes
to  a special private window as MSGs.  To cancel a private conversation, use /QUERY with no arguments, or just close the window.


Who Is
Command: Whois

Usage:

/WHOIS [Nick]

 Gets  information about a nick. A special window is open.

 To get WHOIS information, focus the nick and press the WHOIS button.

 If you have access to Lists of Friends and Enemies  then you will be able to add him to your Shit List or your Friend List.


Who
Command: Who

Usage:

/WHO [<channel>|<wildcard expression>]

  Once  in  a  channel, you may wish to get a detailed list of people IRCing inside. WHO command shows users on channel.


Client To Client Protocol
Command: CTCP

Usage:

/CTCP [Nick] [Command] [Argument]

 Allows you to perform certain client specific actions on the network.

When you click on CTCP button, a dialog box is loaded so you can choose wich kind of action you are going to do. By clicking the nick before pressing CTCP button, you choose the person you are performing actions to.

Ex.	 -VERSION, displays information about client.
        	-FINGER, diplays information about nick (like how long a nick has been idle).


Kick
Command: Kick

Usage:

/Kick [Nick] [Message]

Kicks nick from channel. You must be a Channel_Operator to use this command.

Focus the wanted nick and then click on KICK button.

The kicked nick will see a message, if you don't write a message the auto kick message will be send.


Ban
Command: Ban

Usage:

/BAN [Mask]

Prevent anyone matching the mask of joining channel. You must be a Chanel_Operator to use this command. If you just put a nick on the mask then !*.* suffix will be added.

An easier way to do it is by clicking a nick on the nick' s box and then pressing the Ban button. Nick will be automatically selected.


Unban
Command: Unban

Usage:

/Unban [Mask]

Removes the ban mask specified. You must be a Channel_Operator to use it.


Rip
Command: Rip

Usage:

/RIP [Nick] [Message]

This command KICKs and BANs nick from channel. You must be a Channel_Operator to use it.

For doing it, focus the indicated person and click RIP button.


Op
Command: OP

Usage:

/OP [Nick]

Makes Nick a Channel_Operator. You must be a Channel_Operator to do that.

You can op a nick by focus him, and then clicking on MODE button. Once in the dialog box choose +o.

Important:

You can Set/Reset operators mode by clicking the right button of the mouse on nicks at users list.


DeOp
Command: DeOp

Usage:

/DEOP [Nick]

Remove the Channel_Operator Flag from a nick. You must be a Channel_Operator to do that.

You can DeOp a nick by focus him at the users list, and then clicking the MODE button. Once in the dialog box choose -o.

Important:

You can Set/Reset operators mode by clicking the right button of the mouse on nicks at users list.


Mode
Command: Mode

Usage

/MODE [channel name] [Params]

Every user and channel on IRC has a set of "modes" associated with him/it.

      The mode command is quite complicated and it allows channel operators to change channel mode, or any user to change their own mode. For a channel mode, <modechars> is one of the following:
        i           	- channel is invite only
        k <key>   	- Adds join key <key> to the channel.  Keys can be added or removed (MODE <channel> -k <key>), but not changed.
        l <number>  	-channel is limited, where <number> is the maximum number of users allowed.
        m          	- channel is moderated (only channel operators talk)
        n           	- No MSGs to the channel are allowed from someone outside the channel.
        o <nick>    	- Makes <nick> a channel operator
        p           	- channel is private
        s           	- channel is secret
         t           	- topic limits, only channel operators can change it
        v <nick>    	- Gives someone a voice to talk on a moderated channel.

      A + or - sign determines whether the specified mode should be added or deleted.
      If you supply * as channel name, modes will apply to your current channel.

      The second form of the MODE command allows you to ban somebody from a channel. This is done by specifying a sting of the form nick!user@host. For example:
       +b *!*@gus.*	bans everybody from the channel who is on IRC from any machine whose name is gus.
        +b netw1z	bans anybody using the nickname netw1z.
        +b *!merklin@*      	bans anybody whose user name is merklin.
        +b jerk!tug@boat.edu   bans the user tug@boat.edu from the channel whenever he is using the nickname "jerk".

        To find out the existing modes see Channel mode in the bottom of the window.

      The third form of the MODE command allows you to modify your personal parameters. You can precede any combination of the following with + or - (+to switch that mode on, - to switch it off).

        o     - IRC operator status.
        w     - Receive WALLOPS (messages directed at all operators).
        s      - Receive server notices. This includes KILL notices and notices about what is happening with links to the local server.
        i        - Render yourself invisible. This prevents you from being seen in WHO and WHOIS information, unless somebody specifies your exact nickname with WHOIS.


Away
Command: Away

Usage:

/AWAY
/AWAY [away Message]

  Leaves a message explaining that you are not currently paying attention
to  IRC.   Whenever  someone sends you a MSG or does a WHOIS on you, they automatically   see  whatever  message  you  set.   Using  AWAY  with  no parameters set the auto away message. The Away Message Recorder is also activated, and a special Away Window will be displayed. Push the I'm Back button to remove the away message.

        /AWAY Gone to get a cup of coffee.
       [SERVER] You have been marked as being away

Whenever someone sends you a msg, it'll be recorded on the Away Message Recorder Window, the sender will receive back the While Away Auto Message.


Channel Operators
Channel Operator

  Channel operator is a person that should mantain order in a channel. To make this possible,  channel operators have special privileges, so they have more power on a certain channel.

See Channel Operator Commands

When a channel is formed the first person that joins the channel will be automatically set to Channel Operator. This person can turn others channel operators and so on. If there are no channel operators on a channel there is no way that channel can get one. Unless a NET_SPLIT happens.
You will be able to see channel operator because they have a @ sign at the begining of their nicks in the user list of a channel.

AVOID

Never beg for ops.
Never give operator privileges to someone you dont know, because he can mess things if that person is a trouble-maker.
Never use your powers in a bad way or you can get yourself  banned next time you join  that channel.


What's a Channel
What's a Channel?

   On  IRC,  there  are  a  lot of places where you can "hang out"; those places  are  called  'channels'.  You can compare conversations  on  a  channel  to a conversation among a group of people: you  see/hear  everything  that  is  said,  and you can reply to anything that's  said.   What  you  type  is received by everyone who's willing to listen  -  and  everyone  who is late will not hear what was said before, unless  repeated  by  one  of  the  ones who were there.  (Who said "real life" ?)
   All  channels  on IRC have names:  a "#" sign followed by some kind of text-string,  like "#Chile" or "#Asians" or "#EU-Opers".  Usually, the name of  the channel will indicate the type of conversation that's going on in there.  Don't count on it, though.

                       Table :  Channel commands
                       --------------------------
       Keyword   Action
       ~~~~~~~   ~~~~~~
       LIST      	lists channels, number of users, topic
       JOIN      	sets your current channel, (same as CHANNEL)
       WHO       	gives a listing of users
       INVITE    	sends an invitation to another user
       LEAVE     	leaves a channel, (same as PART)
       KICK      	gets rid of someone on a channel
       TOPIC     	changes the topic of the channel
       ME        	sends anything about you to a channel or QUERY

   Every channel has certain characteristics, called channel modes.  Recall the  LIST command by pressing the LIST button; this will show you the names of the existing channels.


IRC: Etiquettes

* Language: The most widely used language over IRC is English. However, it is by no means the only one. When you join a channel, try to use the language that most people on the channel understand ( use ). Most channels frown upon obscenities or profanity. Better to play safe and find out what's the accepted norm over the channel.

 * Greetings:  Using IRCII's /ON facility to automatically say hello or goodbye to people is extremely poor etiquette. Nobody wants to receive autogreets. They are not only obviously automatic, but even if you think you are being polite you are actually sounding insincere and also interfering with the personal environment of the recipient  when using autogreets. If somebody wants to be autogreeted on joining a channel, they will autogreet themselves.

      * Lingo:  On IRC, communication speed often matters when talking to others, and as a result, many "shorthands" have been developed by  IRCers to convey the most amount of information in the smallest amount of keystrokes. Here are some common shorthands:

          "re" - repeat hi, used when you have left a channel and rejoin it
         "brb" - be right back!
         "bbl" - be back later
        "bbiaf" - be back in a few minutes
        "ttyl" - talk to you later
        "rtfm" - read the f* manual
        "rtrfc"- read the f* RFC
         "oic" - Oh, I see!
        "imho" - In my humble opinion
        "rotfl"- rolling on the floor with laughter
        "focl" - falling off the chair laughing
         "nfi" - no f* idea
        "ayfq" - ask your f* question
         "wtf" - who/what the f*?
           "u" - you                               "y" - why
           "2" - to                                   "b" - be
           "r" - are                                 "c" - see

        Another common 'emoticon' in use over IRC is the "smiley", which is  :-)   (look at it sideways), but is often abbreviated to :) There exist many variations to smileys and "frownies" :-(

      * Discussion: When you come to a new channel it's advised that you listen for a while to get an impression of what's discussed. Please feel free to join in, but do not try to force your topic into the discussion if that doesn't come naturally
.
      * The NOT's: The following is a list of "do not do's" on most channels and over IRC as a whole:
        o Do not flood the channel with text. This can be extremely frustrating for people over slow modem connections, and is likely to get you instantly kicked.
        o Do not use beeps in your messages.
        o Do not use profanity in your public messages.
        o Do not harass another user with unwanted messages/comments etc.
        o Do not indulge in *destructive* behaviour which reduces the functionality of IRC. (such as running clonebots/floodbots/nick colliders - this can lead to your system admin being notified).


What is a Net Split?
What is a Net Slit?

As mentioned earlier, IRC servers are arranged in the shape of an acyclic graph. Let's say a sample snapshot of connections looks like

            A  --------------  B
             |                        |
            C                      D

      where A, B, C and D are servers. Let's say that you are on server C, and server A splits from server B.

      This "split" often occurs due to faults in the underlying *physical* network. It can also occur due to other reasons, such as if the machine on which server runs, crashes, or if it is too overloaded to handle connections (happens on bigger nets), or if an IRC operator willfully disrupts the connection between two servers (happens when operators reroute servers to achieve a better routing).

      Then in this case, you will see users on B and D, "sign off". Voila! That was a "netsplit". When A and B rejoin, you will see users from B and D "rejoin" the channel you were on.

      There's not much you can do to avoid netsplits. They're a part of the way ircd was designed, and also a part of the way the Internet runs.


LIST
Command: List

Usage:

Press LIST button

Lists  all  current  "channels",  number  of  users,  and  topic.   The
displayed  list  may  be  quite  long,  so  you can limit it using flags. The flags
are, min, max and count, and apear in the list window.

The min flag, will show you a list of all the channels that have at least the min number of users. The max flag will show you a list of channels that have no more than max users. Seting the Count flag, you will get a list of count channels.

Push the refresh button to get the list with the last list the client got from the server, or use the reread button to get a new list from the server.


Lag
What is lag? Why is it?

The term "lag" refers to the delay in messages reaching their destination. You might often see a bunch of messages from a certain user all together. In this case it's quite possible that the user is "lagged". If you see a flood of messages from *everyone*, then no messages for a while, then a flood again, etc., it is quite possible that *you* are lagged. To find out how well you are doing with respect to others, use the  /ping command.  /ping #channelname forces a response from others on the channel, and you can compare response times.

Lag can occur if you are not connected to a server close to you, or if you are on a telnet client, or due to faults in the *physical*  network, or if the machine on which the server runs is slow.

To avoid lag, always use iew, you can try reading RFC1459.  You can also join the Undernet mailing lists - ircnet (general irc help) and wastelanders  (discussion of server routing/protocol/etc). To find out how to subscribe, send mail to listserv@undernet.org with "help" in the body. If you use Mosaic or Netscape, a good URL to try is:
      http://eru.dd.chalmers.se/home/f88jl/Irc/ircdocs.html